﻿using System;
using System.IO;
using System.Text;

namespace TestProject
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 문자열 배열
        /// </summary>
        private static string[] _stringArray = new string[]
        {
            "가나다라마바사아자차",
            "12345678901234567890",
            "abcdefghijklmnopqrst",
            "고노도로모보소오조초",
            "ABCDEFGHIZKLMNOPQEST"
        };

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        private static void Main()
        {
            string filePath = "d:\\source.csv";

            File.Delete(filePath);

            using(FileStream stream = new FileStream(filePath, FileMode.CreateNew, FileAccess.Write, FileShare.None))
            {
                using(StreamWriter writer = new StreamWriter(stream, Encoding.UTF8))
                {
                    Random random = new Random();

                    writer.WriteLine("C1,C2,C3,C4,C5,C6,C7,C8,C9,C10,C11,C12,C13,C14,C15,C16,C17,C18,C19,C20");

                    for(int i = 0; i < 1_000_000; i++)
                    {
                        for(int j = 0; j < 20; j++)
                        {
                            writer.Write(_stringArray[random.Next(0, 4)]);

                            if(j < 19)
                            {
                                writer.Write(',');
                            }
                        }

                        writer.WriteLine();
                    }
                }
            }
        }

        #endregion
    }
}